module Main where

import System.IO

type Point a = (a,a)

parsePoint :: (Read a) => String->Point a

parsePoint = read


readPoints :: (Read a) => [String] -> IO [Point a]


readPoints xs = isEOF >>= \eof -> if eof
                                  then return (map read (reverse xs))
                                  else getLine >>= \ln -> readPoints (ln:xs)

readIntPts :: [String] -> IO [Point Int]
readIntPts = readPoints

main = readIntPts [] >>= \ls -> putStrLn (show ls)

